search a tableAsk AIget https://{databaseId}-{region}.apps.astra.datastax.com/api/rest/v2/keyspaces/{keyspace-id}/{table-id}Path ParamsdatabaseIdstringrequiredUUID of your database from the Astra URL. For example, d341f349-e5db-46d2-9c90-bb9ebaa6f0fc.regionstringrequiredCloud region where your database lives. For example, us-east-1keyspace-idstringrequiredkeyspace nametable-idstringrequiredtable nameQuery Paramsprettybooleanformat resultstruefalsewhereobjectURL escaped JSON query using the following keys: | Key | Operation | |-|-| | $lt | Less Than | | $lte | Less Than Or Equal To | | $gt | Greater Than | | $gte | Greater Than Or Equal To | | $ne | Not Equal To | | $in | Contained In | | $exists | A value is set for the key | | $select | This matches a value for a key in the result of a different query | | $dontSelect | Requires that a key’s value not match a value for a key in the result of a different query | | $all | Contains all of the given values | | $regex | Requires that a key’s value match a regular expression | | $text | Performs a full text search on indexed fields |where objectfieldsstringURL escaped, comma delimited list of keys to includepage-sizeint32restrict the number of returned items (max 100)page-statestringmove the cursor to a particular resultsortobjectkeys to sort bysort objectrawbooleanunwrap resultstruefalseHeadersX-Cassandra-Request-IduuidrequiredUnique identifier (UUID) for the request. Use any valid UUID.X-Cassandra-TokenstringrequiredThe token returned from the authorization endpoint. Use this token in each request to the database.Responses 200 400Invalid input 401Unauthorized 500Internal server errorUpdated over 5 years ago